DKBSignDocs

API reference

POSTRequires Bearer token

Sync selected LDAP users

/api/companies/{company}/ldap/sync/users

Submit /api/companies/{company}/ldap/sync/users. Authenticated routes need Authorization: Bearer {token} from POST /api/v1/login.

Path parameters

FieldTypeDescription
company
Required
stringPath parameter company.

Query parameters

This endpoint has no query parameters.

Request body

FieldTypeDescription
user_ids
Required
array1–100 user ids in the company.
e.g. [4,5]

Responses

StatusMeaning
202Sync started
401Missing or invalid Bearer token.

Request

curl
curl -X POST 'https://api.dkbsigns.com/api/companies/company/ldap/sync/users' \
  -H 'Authorization: Bearer $DKBSIGN_TOKEN' \
  -H 'Content-Type: application/json' \
  -d '{"user_ids":[4,5]}'

Response 202

json
{
  "message": "Synchronisation LDAP",
  "sync": {
    "id": 1,
    "company_id": 1,
    "status": "pending",
    "stats": {},
    "message": null,
    "error": null,
    "started_at": null,
    "completed_at": null,
    "created_at": "2026-03-01T10:00:00+00:00"
  }
}